/*  file: schedule.h
 *
 *  kehpager, Charset aware pager, Kari E. Hurtta
 *
 *  Copyright (c) 1994 Kari E. Hurtta
 *
 *  Redistribution and use in source and binary forms are permitted
 *  provided that the above copyright notice and this paragraph are
 *  duplicated in all such forms. This software is provided 'as is'
 *  and without any warranty. 
 */

extern int cancel; /* Ctrl-G pressed */

extern void real_schedule(int *FP, int *EOF_IN_FILE, int *NOT_SELECTABLE,
			 void (*file_handler)(void),
			 int (*timeout_callback)(long *value),
			 void (*timeout_handler)(int key),
			 int *ready, int (* callback_before)(void),
			 void (* callback_after)(void),
			 int call_parser
			 );

extern int init_schedule(void);

/* Uses, but not define: */
extern void not_selectable(int *fp);
extern int do_keyboard(int cmd, int *cancel);
extern void message_to_error(int len, CHAR_IDX *buffer);
extern int got_from_TAIL(int *ptr);
extern void print_errors(int ptr);
